Skip to content

Regenerate package asset renditions

POST
/api/renditions/{configId}/_package/{packageName}/{assetId}/regenerate
curl --request POST \
--url https://example.com/api/renditions/example/_package/example/example/regenerate \
--header 'Authorization: Bearer <token>'

Regenerates all automatic renditions for a content item within a package

configId
required

Repository configuration ID

string
packageName
required

Package name

string
assetId
required

Asset ID

string

Renditions regeneration initiated

Media typeapplication/json
object
success
required
boolean
Examplegenerated
{
"success": true
}

Item not found

Media typeapplication/json
object
error
required

Indicates an error occurred

boolean
message
required

Error message describing what went wrong

string
Example
{
"error": true,
"message": "Item not found"
}